<?php
/**
 * Business Consulting Lite functions and definitions
 *
 * @subpackage Business Consulting Lite
 * @since 1.0
 */

// theme setup
function business_consulting_lite_setup() {
	add_theme_support( 'woocommerce' );
	add_theme_support( "align-wide" );
	add_theme_support( "wp-block-styles" );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( "responsive-embeds" );
	add_theme_support( 'title-tag' );
	add_theme_support( 'custom-header' );
	add_theme_support('custom-background',array(
		'default-color' => 'ffffff',
	));
	add_image_size( 'business-consulting-lite-featured-image', 2000, 1200, true );
	add_image_size( 'business-consulting-lite-thumbnail-avatar', 100, 100, true );

	load_theme_textdomain( 'business-consulting-lite', get_template_directory() . '/languages' );

	$GLOBALS['content_width'] = 525;
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'business-consulting-lite' ),
	) );

	add_theme_support( 'html5', array(
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );
	/*
	 * Enable support for Post Formats.
	 *
	 * See: https://codex.wordpress.org/Post_Formats
	 */
	add_theme_support( 'post-formats', array('image','video','gallery','audio','quote',) );
	// Add theme support for Custom Logo.
	add_theme_support( 'custom-logo', array(
		'width'       => 250,
		'height'      => 250,
		'flex-width'  => true,
		'flex-height'  => true,
	) );

	// Add theme support for selective refresh for widgets.
	add_theme_support( 'customize-selective-refresh-widgets' );

	/*
	 * This theme styles the visual editor to resemble the theme style,
	 * specifically font, colors, and column width.
 	 */
	add_editor_style( array( 'assets/css/editor-style.css', business_consulting_lite_fonts_url() ) );

	if ( ! defined( 'BUSINESS_CONSULTING_LITE_SUPPORT' ) ) {
	define('BUSINESS_CONSULTING_LITE_SUPPORT',__('https://wordpress.org/support/theme/business-consulting-lite/','business-consulting-lite'));
	}
	if ( ! defined( 'BUSINESS_CONSULTING_LITE_REVIEW' ) ) {
		define('BUSINESS_CONSULTING_LITE_REVIEW',__('https://wordpress.org/support/theme/business-consulting-lite/reviews/','business-consulting-lite'));
	}
	if ( ! defined( 'BUSINESS_CONSULTING_LITE_LIVE_DEMO' ) ) {
	define('BUSINESS_CONSULTING_LITE_LIVE_DEMO',__('https://trial.ovationthemes.com/business-consulting/','business-consulting-lite'));
	}
	if ( ! defined( 'BUSINESS_CONSULTING_LITE_BUY_PRO' ) ) {
	define('BUSINESS_CONSULTING_LITE_BUY_PRO',__('https://www.ovationthemes.com/products/business-consulting-wordpress-theme','business-consulting-lite'));
	}
	if ( ! defined( 'BUSINESS_CONSULTING_LITE_PRO_DOC' ) ) {
	define('BUSINESS_CONSULTING_LITE_PRO_DOC',__('https://trial.ovationthemes.com/docs/ot-business-consulting-pro/','business-consulting-lite'));
	}
	if ( ! defined( 'BUSINESS_CONSULTING_LITE_FREE_DOC' ) ) {
	define('BUSINESS_CONSULTING_LITE_FREE_DOC',__('https://trial.ovationthemes.com/docs/ot-business-consulting-lite-free-doc/','business-consulting-lite'));
	}
	if ( ! defined( 'BUSINESS_CONSULTING_LITE_THEME_NAME' ) ) {
	define('BUSINESS_CONSULTING_LITE_THEME_NAME',__('Premium Business Theme','business-consulting-lite'));
	}
	if ( ! defined( 'BUSINESS_CONSULTING_LITE_BUNDLE_LINK' ) ) {
	define('BUSINESS_CONSULTING_LITE_BUNDLE_LINK',__('https://www.ovationthemes.com/products/wordpress-bundle','business-consulting-lite'));
	}
	require get_template_directory() . '/inc/dashboard/dashboard-settings.php';
}
add_action( 'after_setup_theme', 'business_consulting_lite_setup' );

//woocommerce//
//shop page no of columns
function business_consulting_lite_woocommerce_loop_columns() {
	
	$retrun = get_theme_mod( 'business_consulting_lite_archieve_item_columns', 3 );
    
    return $retrun;
}
add_filter( 'loop_shop_columns', 'business_consulting_lite_woocommerce_loop_columns' );
function business_consulting_lite_woocommerce_products_per_page() {

		$retrun = get_theme_mod( 'business_consulting_lite_archieve_shop_perpage', 6 );
    
    return $retrun;
}
add_filter( 'loop_shop_per_page', 'business_consulting_lite_woocommerce_products_per_page' );
// related products
function business_consulting_lite_related_products_args( $args ) {
    $defaults = array(
        'posts_per_page' => get_theme_mod( 'business_consulting_lite_related_shop_perpage', 3 ),
        'columns'        => get_theme_mod( 'business_consulting_lite_related_item_columns', 3),
    );

    $args = wp_parse_args( $defaults, $args );

    return $args;
}
add_filter( 'woocommerce_output_related_products_args', 'business_consulting_lite_related_products_args' );

// breadcrumb seperator
function business_consulting_lite_woocommerce_breadcrumb_separator($business_consulting_lite_defaults) {
    $business_consulting_lite_separator = get_theme_mod('woocommerce_breadcrumb_separator', ' / ');

    // Update the separator
    $business_consulting_lite_defaults['delimiter'] = $business_consulting_lite_separator;

    return $business_consulting_lite_defaults;
}
add_filter('woocommerce_breadcrumb_defaults', 'business_consulting_lite_woocommerce_breadcrumb_separator');

//add animation class
if ( class_exists( 'WooCommerce' ) ) { 
	add_filter('post_class', function($business_consulting_lite_classes, $class, $product_id) {
	    if( is_shop() || is_product_category() ){
	        
	        $business_consulting_lite_classes = array_merge(['wow','zoomIn'], $business_consulting_lite_classes);
	    }
	    return $business_consulting_lite_classes;
	},10,3);
}

//woocommerce-end//

// Get start function

// Enqueue scripts and styles
function business_consulting_lite_enqueue_admin_script($hook) {
    // Admin JS
    wp_enqueue_script('business-consulting-lite-admin-js', get_theme_file_uri('/assets/js/business-consulting-lite-admin.js'), array('jquery'), true);
    wp_localize_script(
		'business-consulting-lite-admin-js',
		'business_consulting_lite',
		array(
			'admin_ajax'	=>	admin_url('admin-ajax.php'),
			'wpnonce'			=>	wp_create_nonce('business_consulting_lite_dismissed_notice_nonce')
		)
	);
	wp_enqueue_script('business-consulting-lite-admin-js');

    wp_localize_script( 'business-consulting-lite-admin-js', 'business_consulting_lite_scripts_localize',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action('admin_enqueue_scripts', 'business_consulting_lite_enqueue_admin_script');

//dismiss function 
add_action( 'wp_ajax_business_consulting_lite_dismissed_notice_handler', 'business_consulting_lite_ajax_notice_dismiss_fuction' );

function business_consulting_lite_ajax_notice_dismiss_fuction() {
	if (!wp_verify_nonce($_POST['wpnonce'], 'business_consulting_lite_dismissed_notice_nonce')) {
		exit;
	}
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
}

//get start box
function business_consulting_lite_custom_admin_notice() {
    // Check if the notice is dismissed
    if ( ! get_option('dismissed-get_started_notice', FALSE ) )  {
        // Check if not on the theme documentation page
        $business_consulting_lite_current_screen = get_current_screen();
        $business_consulting_lite_theme = wp_get_theme();
        $business_consulting_lite_theme_name = strtolower( preg_replace( '#[^a-zA-Z]#', '', $business_consulting_lite_theme->get( 'Name' ) ) );
		$business_consulting_lite_demo_page_slug = apply_filters( $business_consulting_lite_theme_name . '_theme_setup_wizard_business_consulting_lite_page_slug', $business_consulting_lite_theme_name . '-wizard' );
		$business_consulting_lite_expected_screen_id = 'appearance_page_' . $business_consulting_lite_demo_page_slug;
        if ( $business_consulting_lite_current_screen && $business_consulting_lite_current_screen->id !== $business_consulting_lite_expected_screen_id ) { ?>
            <div class="notice notice-info is-dismissible" data-notice="get_started_notice">
                <div class="notice-div">
                    <div>
                        <p class="theme-name"><?php echo esc_html($business_consulting_lite_theme->get('Name')); ?></p>
                        <p><?php _e('For information and detailed instructions, check out our theme documentation.', 'business-consulting-lite'); ?></p>
                    </div>
                    <div class="notice-buttons-box">
                        <a class="button-primary livedemo" href="<?php echo esc_url( BUSINESS_CONSULTING_LITE_LIVE_DEMO ); ?>" target="_blank"><?php esc_html_e('Live Demo', 'business-consulting-lite'); ?></a>
                        <a class="button-primary buynow" href="<?php echo esc_url( BUSINESS_CONSULTING_LITE_BUY_PRO ); ?>" target="_blank"><?php esc_html_e('Buy Now', 'business-consulting-lite'); ?></a>
                        <a class="button-primary theme-install" href="<?php echo esc_url( 'themes.php?page=' . $business_consulting_lite_demo_page_slug ); ?>"><?php _e( 'Begin Installation', 'business-consulting-lite' ); ?></a>
                    </div>
                </div>
            </div>
        <?php
        }
    }
}
add_action('admin_notices', 'business_consulting_lite_custom_admin_notice');

//after switch theme
add_action('after_switch_theme', 'business_consulting_lite_after_switch_theme');
function business_consulting_lite_after_switch_theme () {
    update_option('dismissed-get_started_notice', FALSE );
}
//get-start-function-end//

// tag count
function business_consulting_lite_display_post_tag_count() {
    $business_consulting_lite_tags = get_the_tags();
    $business_consulting_lite_tag_count = ($business_consulting_lite_tags) ? count($business_consulting_lite_tags) : 0;
    $business_consulting_lite_tag_text = ($business_consulting_lite_tag_count === 1) ? 'tag' : 'tags';
    echo $business_consulting_lite_tag_count . ' ' . $business_consulting_lite_tag_text;
}
// Date formatting
function business_consulting_lite_display_shop_date() {
    // Get the date type option
    $business_consulting_lite_date_type = get_theme_mod( 'business_consulting_lite_date_type', 'published' );

    // Determine the date to display based on the type
    if ( $business_consulting_lite_date_type === 'modified' && get_the_modified_time( 'U' ) !== get_the_time( 'U' ) ) {
        $business_consulting_lite_date_to_display = get_the_modified_date( get_option( 'date_format' ) );
    } else {
        $business_consulting_lite_date_to_display = get_the_date( get_option( 'date_format' ) );
    }

    // Output the date HTML

    echo esc_html( $business_consulting_lite_date_to_display );
}

//media post format
function business_consulting_lite_get_media($business_consulting_lite_type = array()){
	$business_consulting_lite_content = apply_filters( 'the_content', get_the_content() );
  	$output = false;

  // Only get media from the content if a playlist isn't present.
  if ( false === strpos( $business_consulting_lite_content, 'wp-playlist-script' ) ) {
    $output = get_media_embedded_in_content( $business_consulting_lite_content, $business_consulting_lite_type );
    return $output;
  }
}

// front page template
function business_consulting_lite_front_page_template( $template ) {
	return is_home() ? '' : $template;
}
add_filter( 'frontpage_template',  'business_consulting_lite_front_page_template' );

// excerpt function
function business_consulting_lite_custom_excerpt() {
    $business_consulting_lite_excerpt = get_the_excerpt();
    $business_consulting_lite_plain_text_excerpt = wp_strip_all_tags($business_consulting_lite_excerpt);
    
    // Get dynamic word limit from theme mod
    $business_consulting_lite_word_limit = esc_attr(get_theme_mod('business_consulting_lite_post_excerpt', '30'));
    
    // Limit the number of words
    $business_consulting_lite_limited_excerpt = implode(' ', array_slice(explode(' ', $business_consulting_lite_plain_text_excerpt), 0, $business_consulting_lite_word_limit));

    echo esc_html($business_consulting_lite_limited_excerpt);
}

// typography
function business_consulting_lite_fonts_scripts() {
	$business_consulting_lite_headings_font = esc_html(get_theme_mod('business_consulting_lite_headings_text'));
	$business_consulting_lite_body_font = esc_html(get_theme_mod('business_consulting_lite_body_text'));

	if( $business_consulting_lite_headings_font ) {
		wp_enqueue_style( 'business-consulting-lite-headings-fonts', '//fonts.googleapis.com/css?family='. $business_consulting_lite_headings_font );
	} else {
		wp_enqueue_style( 'business-consulting-lite-source-sans', '//fonts.googleapis.com/css?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900');
	}
	if( $business_consulting_lite_body_font ) {
		wp_enqueue_style( 'business-consulting-lite-body-fonts', '//fonts.googleapis.com/css?family='. $business_consulting_lite_body_font );
	} else {
		wp_enqueue_style( 'business-consulting-lite-source-body', '//fonts.googleapis.com/css?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900');
	}
}
add_action( 'wp_enqueue_scripts', 'business_consulting_lite_fonts_scripts' );

// Footer Text
function business_consulting_lite_copyright_link() {
    $business_consulting_lite_footer_text = get_theme_mod('business_consulting_lite_footer_text', esc_html__('Business Consulting WordPress Theme', 'business-consulting-lite'));
    $business_consulting_lite_credit_link = esc_url('https://www.ovationthemes.com/products/free-consulting-wordpress-theme');

    echo '<a href="' . $business_consulting_lite_credit_link . '" target="_blank">' . esc_html($business_consulting_lite_footer_text) . '<span class="footer-copyright">' . esc_html__(' By Ovation Themes', 'business-consulting-lite') . '</span></a>';
}

// custom sanitizations
// dropdown
function business_consulting_lite_sanitize_dropdown_pages( $page_id, $setting ) {
	$page_id = absint( $page_id );
	return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
}
// slider custom control
if ( ! function_exists( 'business_consulting_lite_sanitize_integer' ) ) {
	function business_consulting_lite_sanitize_integer( $input ) {
		return (int) $input;
	}
}
// range contol
function business_consulting_lite_sanitize_number_absint( $number, $setting ) {

	// Ensure input is an absolute integer.
	$number = absint( $number );

	// Get the input attributes associated with the setting.
	$atts = $setting->manager->get_control( $setting->id )->input_attrs;

	// Get minimum number in the range.
	$min = ( isset( $atts['min'] ) ? $atts['min'] : $number );

	// Get maximum number in the range.
	$max = ( isset( $atts['max'] ) ? $atts['max'] : $number );

	// Get step.
	$step = ( isset( $atts['step'] ) ? $atts['step'] : 1 );

	// If the number is within the valid range, return it; otherwise, return the default
	return ( $min <= $number && $number <= $max && is_int( $number / $step ) ? $number : $setting->default );
}
// select post page
function business_consulting_lite_sanitize_select( $input, $setting ){
    $input = sanitize_key($input);
    $choices = $setting->manager->get_control( $setting->id )->choices;
    return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
}
// toggle switch
function business_consulting_lite_callback_sanitize_switch( $value ) {
	// Switch values must be equal to 1 of off. Off is indicator and should not be translated.
	return ( ( isset( $value ) && $value == 1 ) ? 1 : 'off' );
}
//choices control
function business_consulting_lite_sanitize_choices( $input, $setting ) {
    global $wp_customize;
    $control = $wp_customize->get_control( $setting->id );
    if ( array_key_exists( $input, $control->choices ) ) {
        return $input;
    } else {
        return $setting->default;
    }
}
// phone number
function business_consulting_lite_sanitize_phone_number( $phone ) {
  return preg_replace( '/[^\d+]/', '', $phone );
}

// Sanitize Sortable control.
function business_consulting_lite_sanitize_sortable( $val, $setting ) {
	if ( is_string( $val ) || is_numeric( $val ) ) {
		return array(
			esc_attr( $val ),
		);
	}
	$sanitized_value = array();
	foreach ( $val as $item ) {
		if ( isset( $setting->manager->get_control( $setting->id )->choices[ $item ] ) ) {
			$sanitized_value[] = esc_attr( $item );
		}
	}
	return $sanitized_value;
}

// widgets
function business_consulting_lite_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Sidebar', 'business-consulting-lite' ),
		'id'            => 'sidebar-1',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'business-consulting-lite' ),
		'before_widget' => '<section id="%1$s" class="widget wow zoomIn %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<div class="widget_container"><h3 class="widget-title">',
		'after_title'   => '</h3></div>',
	) );

	register_sidebar( array(
		'name'          => __( 'Page Sidebar', 'business-consulting-lite' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your pages and posts', 'business-consulting-lite' ),
		'before_widget' => '<section id="%1$s" class="widget wow zoomIn %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<div class="widget_container"><h3 class="widget-title">',
		'after_title'   => '</h3></div>',
	) );

	register_sidebar( array(
		'name'          => __( 'Sidebar 3', 'business-consulting-lite' ),
		'id'            => 'sidebar-3',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'business-consulting-lite' ),
		'before_widget' => '<section id="%1$s" class="widget wow zoomIn %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<div class="widget_container"><h3 class="widget-title">',
		'after_title'   => '</h3></div>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 1', 'business-consulting-lite' ),
		'id'            => 'footer-1',
		'description'   => __( 'Add widgets here to appear in your footer.', 'business-consulting-lite' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 2', 'business-consulting-lite' ),
		'id'            => 'footer-2',
		'description'   => __( 'Add widgets here to appear in your footer.', 'business-consulting-lite' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 3', 'business-consulting-lite' ),
		'id'            => 'footer-3',
		'description'   => __( 'Add widgets here to appear in your footer.', 'business-consulting-lite' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 4', 'business-consulting-lite' ),
		'id'            => 'footer-4',
		'description'   => __( 'Add widgets here to appear in your footer.', 'business-consulting-lite' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
}
add_action( 'widgets_init', 'business_consulting_lite_widgets_init' );

// google fonts
function business_consulting_lite_fonts_url(){
	$font_url = '';
	$font_family = array();
	$font_family[] = 'Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900';

	$business_consulting_lite_query_args = array(
		'family'	=> rawurlencode(implode('|',$font_family)),
	);
	$font_url = add_query_arg($business_consulting_lite_query_args,'//fonts.googleapis.com/css');
	return $font_url;
	$contents = wptt_get_webfont_url( esc_url_raw( $fonts_url ) );
}

//Enqueue scripts and styles.
function business_consulting_lite_scripts() {

	// Add custom fonts, used in the main stylesheet.
	wp_enqueue_style( 'business-consulting-lite-fonts', business_consulting_lite_fonts_url(), array());

	//Bootstarp
	wp_enqueue_style( 'bootstrap-style', get_template_directory_uri().'/assets/css/bootstrap.css' );

	// Theme stylesheet.
	wp_enqueue_style( 'business-consulting-lite-style', get_stylesheet_uri() );

	wp_style_add_data('business-consulting-lite-style', 'rtl', 'replace');

	// Theme Customize CSS.
	require get_parent_theme_file_path( 'inc/extra_customization.php' );
	wp_add_inline_style( 'business-consulting-lite-style',$business_consulting_lite_custom_style );

	//font-awesome
	wp_enqueue_style( 'font-awesome-style', get_template_directory_uri().'/assets/css/fontawesome-all.css' );

	// Block Style
	wp_enqueue_style( 'business-consulting-lite-block-style', esc_url( get_template_directory_uri() ).'/assets/css/blocks.css' );

	//Custom JS
	wp_enqueue_script( 'business-consulting-lite-custom.js', get_theme_file_uri( '/assets/js/theme-script.js' ), array( 'jquery' ), true );

	//Nav Focus JS
	wp_enqueue_script( 'business-consulting-lite-navigation-focus', get_theme_file_uri( '/assets/js/navigation-focus.js' ), array( 'jquery' ), true );

	//Bootstarp JS
	wp_enqueue_script( 'bootstrap-js', get_theme_file_uri( '/assets/js/bootstrap.js' ), array( 'jquery' ),true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	if (get_option('business_consulting_lite_animation_enable', false) !== 'off') {
		//wow.js
		wp_enqueue_script( 'business-consulting-lite-wow-js', get_theme_file_uri( '/assets/js/wow.js' ), array( 'jquery' ), true );

		//animate.css
		wp_enqueue_style( 'business-consulting-lite-animate-css', get_template_directory_uri().'/assets/css/animate.css' );
	}
}
add_action( 'wp_enqueue_scripts', 'business_consulting_lite_scripts' );

function business_consulting_lite_block_editor_styles() {
	// Block styles.
	wp_enqueue_style( 'business-consulting-lite-block-editor-style', trailingslashit( esc_url ( get_template_directory_uri() ) ) . '/assets/css/editor-blocks.css' );

	// Add custom fonts.
	wp_enqueue_style( 'business-consulting-lite-fonts', business_consulting_lite_fonts_url(), array());
}
add_action( 'enqueue_block_editor_assets', 'business_consulting_lite_block_editor_styles' );

# Load scripts and styles.(fontawesome)
add_action( 'customize_controls_enqueue_scripts', 'business_consulting_lite_customize_controls_register_scripts' );
function business_consulting_lite_customize_controls_register_scripts() {
	
	wp_enqueue_style( 'business-consulting-lite-ctypo-customize-controls-style', trailingslashit( esc_url(get_template_directory_uri()) ) . '/assets/css/customize-controls.css' );
}

// enque files
require get_parent_theme_file_path( '/inc/custom-header.php' );
require get_parent_theme_file_path( '/inc/template-tags.php' );
require get_parent_theme_file_path( '/inc/template-functions.php' );
require get_parent_theme_file_path( '/inc/customizer.php' );
require get_parent_theme_file_path( '/inc/typofont.php' );
require get_parent_theme_file_path( '/inc/wptt-webfont-loader.php' );
require get_parent_theme_file_path( '/inc/breadcrumb.php' );
require get_parent_theme_file_path( 'inc/sortable/sortable_control.php' );